Summary: A Safe/Fast I/O Library
Name: sfio
Version: 1999
Release: 1
Group: Libraries
Copyright: AT&T Labs
Url: http://www.research.att.com/sw/tools/sfio/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: sfio_1999.src.unix.cpio
Source1: sfio_1999.src.unix.README
Patch0:  sfio_1999.patch
Buildroot: /var/tmp/%{name}-root

%description
Sfio is a library for managing I/O streams. It provides functionality
similar to that of Stdio, the ANSI C Standard I/O library, but via a
distinct interface that is more powerful, robust and efficient.


%prep
%setup -q -c -T
cat %{SOURCE0} | cpio -idm
cp -p %{SOURCE1} .


%build
export PATH=$PATH:`pwd`/bin
make -C src/lib/sfio
make -C src/lib/sfio install
# Since we install the headers in /usr/include/sfio we need to fix some paths
patch -p0 < %{PATCH0}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/sfio
cp -a include/* $RPM_BUILD_ROOT/usr/include/sfio
cp -a lib man $RPM_BUILD_ROOT/usr


%files
%defattr(-,root,root)
%doc NOTICE/* *README 
/usr/include/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

